#include <stdio.h>

#include "gd.h"
#include "gdfontl.h"
#include "gdfonts.h"

gdImagePtr gd;

main(int argc, char **argv)
{
  gdImage *gd;
  int bg;
  int fg;
  gdFont *font = gdFontLarge;

  if (strcmp(argv[1], "-s") == 0)
  {
    font = gdFontSmall;
    argc--;
    argv++;
  }

  gd = gdImageCreate(30,30);
  bg = gdImageColorAllocate(gd, 192, 192, 192);
  fg = gdImageColorAllocate(gd, 0, 0, 0);
  gdImageColorTransparent(gd, bg);
  gdImageInterlace(gd, 1);

  gdImageFilledRectangle(gd, 0, 0, 29, 29, bg);
  gdImageChar(gd, font, 10, 10, argv[1][0], fg);

  gdImageGif(gd, stdout);

  gdImageDestroy(gd);

  return 0;
}
